{% load static %}
<!DOCTYPE html>
<html>
<head>
	<link rel="stylesheet" type="text/css" href="{% static 'TM/css/stylesheet.css' %}" />
	<link rel="stylesheet" type="text/css" href="{% static 'TM/css/vocab_stylesheet.css' %}" />
	<script type="application/javascript" src="{% static '3rdparty/jquery/1.12.4/jquery.min.js' %}"></script>
</head>
<body>
	<h1>Anleitungen</h1>
	<div id="instructions">
		{% for filename, title in video_files %}
		<div>
			<h1>{{ title }}</h1>
			<video controls>
				{% with 'TM/media/'|add:filename as file_path %}
				<source src="{% static file_path %}" />
				{% endwith %}
			</video>
		</div>
		{% endfor %}
	</div>

	<script type="application/javascript">
		"use strict";

		$("div#instructions > div").each(function (index) {
			var video = $(this).find("video");
			$("<button>\u2193</button>").insertBefore(video)
			.on("click", function (event) {
				if (video.is(':visible')) {
					video.hide();
					video.get(0).pause();
					video.get(0).currentTime = 0;
					$(this).text("\u2193");
				} else {
					video.show();
					video.get(0).play();
					$(this).text("\u2191");
				}
			});
		});
	</script>
</body>
</html>
